CCPA delete request
1 min
POST
https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete
Body Parameters
- bodyIdentifierRequestObject[]required
- requesterstringrequiredExampleDescription
- identifier_valuestringrequiredExampleDescription
- identifier_field_namestringrequiredExampleDescription
Responses
202
- ComplianceResponseBody
- request_idsstring[]
400
- undefinedExample
{ "title": "Bad Request", "status": 400, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "invalids": [ { "field": "delimiter", "reason": "Unrecognized delimiter, valid options are comma, tab or pipe" } ] } }
403
- undefinedExample
{ "message": "Forbidden" }
404
- undefinedExample
{ "title": "Not Found", "status": 404, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "message": "Not found description" } }
curl
curl --request POST \
--url https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '[
{
"requester": "[email protected]",
"identifier_value": "[email protected]",
"identifier_field_name": "email"
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"requester": "[email protected]",
"identifier_value": "[email protected]",
"identifier_field_name": "email"
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{
"requester": "[email protected]",
"identifier_value": "[email protected]",
"identifier_field_name": "email"
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete"
payload = json.dumps([
{
"requester": "[email protected]",
"identifier_value": "[email protected]",
"identifier_field_name": "email"
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
202
// Accepted
{
"request_ids": [
""
]
}400
// Bad Request
"{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter, valid options are comma, tab or pipe\"}]}}"403
// Forbidden
"{ \"message\": \"Forbidden\"}"404
// Not Found
"{\"title\":\"Not Found\",\"status\":404,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"message\":\"Not found description\"}}"